Bug 324300 - Clicking on a metacontact 3 times no longer expands the list
Summary: Clicking on a metacontact 3 times no longer expands the list
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-31 00:37 UTC by David Edmundson
Modified: 2013-09-11 23:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
kde: kpeople+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-08-31 00:37:03 UTC
Clicking on a metacontact 3 times no longer expands the list
Click 1 - open
Click 2 - close
Click 3 - nothing

I think  the code opens and immediately closes it again as it closes the last expanded contact (which in this case is the same)
Comment 1 David Edmundson 2013-09-11 23:21:44 UTC
Git commit 9adbbe083f7744abeeef5018249c02873d710661 by David Edmundson.
Committed on 10/09/2013 at 20:47.
Pushed by davidedmundson into branch 'master'.

Draw branches for contacts in KPeople mode

REVIEW: 112658
Related: bug 324602

M  +0    -4    contact-delegate-compact.cpp
M  +33   -5    contact-list-widget.cpp
M  +4    -0    contact-list-widget_p.h

http://commits.kde.org/telepathy-contact-list/9adbbe083f7744abeeef5018249c02873d710661